package kz.arta.ext.sap;

import javax.ejb.Singleton;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

public class State {

    public volatile AtomicInteger imported = new AtomicInteger();
    public volatile AtomicInteger count = new AtomicInteger();
    public int totalAmount;
    public volatile List<String> errors = new ArrayList<>();

    public State(){}

    public State(int totalAmount){
        this.totalAmount = totalAmount;
        imported.set(0);
        count.set(0);
        errors = new ArrayList<>();
    }

    public String toJSON(){
        String json = "";
        json += "{";

        json += "\"total\": " + totalAmount + ", ";
        json += "\"imported\": " + imported + ", ";
        json += "\"count\": " + count + ", ";

        json += "\"errors\": [";
        for(String str : errors){
            json += "\"" + str + "\", ";
        }
        json += "]";

        json += "}";
        return json;
    }

}
